IntegrationsGoogle Drive

Read Google Drive file metadata and supported import format.

POST
/integrations/connections/{connection_id}/providers/gdrive/files/get

Read Google Drive file metadata and supported import format.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/gdrive/files/get" \  -H "Content-Type: application/json" \  -d '{    "file_id": "example"  }'
{  "file_id": "example",  "name": "Customer documents",  "mime_type": "example",  "is_folder": false,  "size": 0,  "modified_at": "example",  "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b",  "web_url": "example",  "drive_id": "example",  "importable": false,  "export_mime_type": "example",  "shortcut_target_id": "example"}